import request from '@/utils/request'

// 查询素材库列表
export function listMaterial(query) {
  return request({
    url: '/qw/material/list',
    method: 'get',
    params: query
  })
}

// 查询素材库详细
export function getMaterial(id) {
  return request({
    url: '/qw/material/' + id,
    method: 'get'
  })
}

// 新增素材库
export function addMaterial(data) {
  return request({
    url: '/qw/material',
    method: 'post',
    data: data,
    Headers:{
      'Content-Type': 'multipart/form-data'
    }
  })
}

// 修改素材库
export function updateMaterial(data) {
  return request({
    url: '/qw/material',
    method: 'put',
    data: data
  })
}

// 删除素材库
export function delMaterial(id) {
  return request({
    url: '/qw/material/' + id,
    method: 'delete'
  })
}

// 导出素材库
export function exportMaterial(query) {
  return request({
    url: '/qw/material/export',
    method: 'get',
    params: query
  })
}